@import "fonts/font";

:root{
    --primary: #00543E;
    --normalText: #484A4A;
    --secondary: #555857;
    --description: #9AA09F;
    --stroke: #D7DBDE;
    --white: #fff;
    --bglight: #F3F7F6;
    --primarylight: #157159;
    --red: #E03E3E;
    --disable: #C8C8C8;
    --disablebgr: #F2F2F2;
    --warning: #FFAD0F;
    --link: #1483EB;
}

.primarylight-color{
    color: var(--primarylight);
}

/*Reset Css*/
abbr,address,article,aside,audio,b,blockquote,body,body div,caption,cite,code,dd,del,details,dfn,dl,dt,em,fieldset,figure,footer,form,h1,h2,h3,h4,h5,h6,header,html,i,iframe,img,ins,kbd,label,legend,li,mark,menu,nav,object,ol,p,pre,q,samp,section,small,span,strong,sub,summary,sup,table,tbody,td,tfoot,th,thead,time,tr,ul,var,video{margin:0;padding:0;border:0;font-size:100%;font-weight:400;vertical-align:baseline;background:0 0}article,aside,details,figure,footer,header,nav,section,summary{display:block}html{box-sizing:border-box}*,:after,:before{box-sizing:inherit}embed,img,object{max-width:100%}html{overflow-y:scroll}ul{list-style:none}blockquote,q{quotes:none}blockquote:after,blockquote:before,q:after,q:before{content:'';content:none}a{margin:0;padding:0;font-size:100%;vertical-align:baseline;background:0 0}del{text-decoration:line-through}abbr[title],dfn[title]{border-bottom:1px dotted #000;cursor:help}table{border-collapse:collapse;border-spacing:0}th{font-weight:700;vertical-align:bottom}td{font-weight:400;vertical-align:top}hr{display:block;height:1px;border:0;border-top:1px solid #ccc;margin:1em 0;padding:0}input,select{vertical-align:middle}pre{white-space:pre;white-space:pre-wrap;white-space:pre-line;word-wrap:break-word}input[type=radio]{vertical-align:text-bottom}input[type=checkbox]{vertical-align:bottom}.ie7 input[type=checkbox]{vertical-align:baseline}.ie6 input{vertical-align:text-bottom}input,select,textarea{font:99% sans-serif}table{font-size:inherit;font:100%}small{font-size:85%}strong{font-weight:700}td,td img{vertical-align:top}sub,sup{font-size:75%;line-height:0;position:relative}sup{top:-.5em}sub{bottom:-.25em}code,kbd,pre,samp{font-family:monospace,sans-serif}.clickable,button,input[type=button],input[type=file],input[type=submit],label{cursor:pointer}button,input,select,textarea{margin:0}button,input[type=button]{width:auto;overflow:visible}.ie7 img{-ms-interpolation-mode:bicubic}.clearfix:after,.clearfix:before{content:"\0020";display:block;height:0;overflow:hidden}.clearfix:after{clear:both}.clearfix{zoom:1}
button{
    border: none;
}
a{
    text-decoration: none;
}

input, select{
    &::placeholder{
        color: #9AA09F;
    }

    &:focus{
        border: none;
        outline: unset;
    }
}

.form-group{
    margin-bottom: 15px;
}

.form-with-lable{
    position: relative;

    .lable{
        position: absolute;
        top: 8px;
        left: 15px;
        color: #9AA09F;
        display: none;
        font-size: 13px;
    }

    &.disable{
        .lable{
            display: block;
        }
    }

    input{
        &:disabled{
            display: block !important;
            padding-top: 33px !important;
            font-size: 16px !important;
        }

        &:focus{
            padding-top: 33px !important;
            font-size: 16px !important;

            &+.lable{
                display: block;
            }
        }
    }
}

#wrapper{
    max-width: 375px;
    margin: auto;
}

body{
    font-family: "SFProText";
    font-weight: normal;
    font-size: 14px;
    line-height: 1.4;
    color: var(--normalText);

    *{
        font-family: "SFProText";
    }
}

@mixin clamp($number) {
    display: -webkit-box;
    -webkit-line-clamp: $number;
    -webkit-box-orient: vertical;  
    overflow: hidden;
}

.container{
    padding: 0 20px;
}

.text-center{
    text-align: center;
}

.body_activity{
    padding-top: 44px;
    min-height: calc(100vh - 44px);
}

.bgr-light{
    background: var(--bglight) !important;
}
.bgr-gray{
    background: #E5E5E5 !important;
}

.e-flex {
    display: flex;
    background-color: #a2cbfa;
    border: 1px solid #4390e1;
    box-sizing: border-box;
    box-shadow: 0 2px 2px rgb(0 90 250 / 5%),
               0 4px 4px rgb(0 90 250 / 5%), 0 8px 8px rgb(0 90 250 / 5%),
               0 16px 16px rgb(0 90 250 / 5%);
    padding: 10px;
 }
 
 .e-flex-image {
    width: 100px;
    object-fit: cover;
    flex-shrink: 0;
    background-color: white;
 }
 
 .e-flex-info {
    flex: 1;
    padding: 10px;
    margin-left: 10px;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
 }
 
 .e-flex-title {
    margin-bottom: 20px;
 }
 
 .e-flex-title span,
           .e-flex-time {
    display: block;
    height: 10px;
    margin-bottom: 10px;
    background-color: #eee;
 }

 .heading_section{
    font-weight: 600;
    font-size: 15px;
    line-height: 20px;
    letter-spacing: -0.24px;
    text-transform: uppercase;
    text-align: center;
    margin-bottom: 20px;
 }
 
 .e-flex-time {
    width: 50px;
    height: 20px;
    margin-bottom: 0;
    margin-top: auto;
 }

 .product-horizontal{
     .e-flex{
         border: none;
         box-shadow: unset;
         background: transparent;
         padding: 5px 0;
         align-items: center;
     }
     .e-flex-image{
         max-width: 54px;

         img{
             width: 100%;
         }
     }

     .name-prd{
         font-size: 15px;
         margin-bottom: 5px;
     }

     .price-prd{
         font-size: 15px;
         font-weight: 600;
     }

     .e-flex-title{
         margin-bottom: 0;
     }
 }

/*Header Controler*/
#headerControler{
    position: fixed;
    z-index: 999;
    left: 0;
    right: 0;
    top: 0;
    width: 100%;
    max-width: 375px;
    background: transparent;
    margin: auto;

    &.scroll-head{
        background: #fff !important;
        box-shadow: 0px 0px 10px 0px #ddd;
    }

    nav.nav-controler{
        height: 44px;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .btn-transparent{
        background: transparent;
        padding: 0;
        margin: 0;
        border: none;
        display: inline-flex;
        align-items: center;
        justify-content: center;
    }

    .heading_controler{
        font-weight: 600;
        font-size: 20px;
        text-align: center;
    }

    .search_controler{
        width: 100%;
        position: relative;

        input{
            border: none;
            width: 100%;
            font-size: 17px;
            padding: 0 30px 0 15px;
            height: 44px;
        }

        .btn-close{
            position: absolute;
            right: 0;
            top: 15px;
            display: none;
        }
    }

    .btn-suport{
        span{
            margin-right: 10px;
            font-size: 15px;
        }
    }

    .logo-main{
        max-width: 52.66px;
        // height: 44px;
        // width: 52.66px;
        // height: 51.6px;
    }

    .myCart_controler{
        width: 40px;
        
        .myCart{
            display: inline-block;
            position: relative;

            .number-cart{
                position: absolute;
                width: 24px;
                height: 24px;
                font-size: 13px;
                background: #FFAD0F;
                border-radius: 100%;
                text-align: center;
                color: #000;
                line-height: 24px;
                top: -10px;
                right: -10px;
            }
        }
    }
}

/*Screen Login*/
.activity_main_login{
    &_screen{
        min-height: calc(100vh - 44px);
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        
        .screen_login_center{
            min-height: calc(100vh - 150px);
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;

            .logo-screen{
                margin-bottom: 30px;
            }

            .form-login{
                width: 100%;
                padding: 0 10px;

                .form-control{
                    height: 56px;
                    width: 100%;
                    background: #fff;
                    font-size: 20px;
                    text-align: center;
                    border: none;
                    border-radius: 850px;
                    font-weight: 600;

                    &::placeholder{
                        color: #9AA09F;
                    }

                    &:focus{
                        border: none;
                        outline: unset;
                    }
                }

                .btn_next_login{
                    background: #157159;
                    border-radius: 50px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    height: 56px;
                    width: 100%;
                    border: none;
                    margin-top: 20px;
                    font-size: 17px;
                    font-weight: 600;
                    color: #fff;

                    &:disabled{
                        background: #E6E6E6;
                        color: #9AA09F;
                    }

                    svg{
                        width: 16px;
                        margin-left: 10px;
                    }
                }

                .block_Verify{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    margin-bottom: 50px;

                    input{
                        font-size: 28px;
                        color: #000;
                        font-weight: 600;
                        display:inline-block;
                        width:50px;
                        height:50px;
                        margin: 0 10px;
                        text-align:center;
                        background: transparent;
                        border: none;
                        border-bottom: 2px solid #9AA09F;
                    }
                }

                .btn-reload{
                    text-align: center;
                    display: inline-flex;
                    justify-content: center;
                    align-items: center;
                    font-size: 17px;
                    color: var(--primarylight);
                    margin-top: 30px;

                    img{
                        margin-right: 5px;
                    }
                }

                .input_form{
                    font-size: 17px;
                    height: 56px;
                    width: 100%;
                    border: 1px solid #C8C8C8;
                    box-sizing: border-box;
                    border-radius: 4px;
                    padding: 15px;

                    &:disabled{
                        color: #9AA09F;
                    }
                }
            }
            
            .text_note_content{
                padding: 0 10px;
                margin-bottom: 30px;
                line-height: 1.6;
                font-size: 17px;
                letter-spacing: -0.408px;
            }


            .icon_success{
                margin-bottom: 30px;
                svg{
                    width: 60px;
                    color:var(--primarylight);
                }
            }

            .status-login{
                font-size: 20px;
                margin-bottom: 20px;
            }

            .btn-back-to-home{
                background: #F3F7F6;
                border-radius: 50px;
                width: 187px;
                height: 53px;
                font-size: 17px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                border: none;
                margin-top: 40px;

                img{
                    margin-right: 10px;
                }
            }
        }
        .note-bottom{
            letter-spacing: -0.24px;
            color: #9AA09F;
            margin-bottom: 30px;

            .bold{
                font-weight: 600;
                color: #000;
            }
        }
    }
}

/*Screen default*/
.activity_screen{
    padding: 0; 
    min-height: calc(100vh - 44px);
    overflow: hidden;
    overflow-y: scroll;

    &.border{
        border-top: 1px solid #cecece;
    }
    
    .resuilt_search_list{
        padding-top: 2rem;

        ul{
            list-style: none;
            padding-top: 0;
            margin-right: 0;

            li{
                display: block;
            }
        }

        .list-suggestions{
            padding: 0 30px;
            
            li{
                margin-bottom: 15px;
                font-size: 15px;
                
                a{
                    color: var(--normalText);
                }
            }
        }
    }

    .nav_tabs{
        display: flex;
        padding: 0 15px;
        border-bottom: 1px solid #E5E5E5;

        a{
            display: inline-block;
            padding: 10px;
            color: var(--description);

            &.active{
                color: var(--primary);
                border-bottom: 2px solid var(--primary);
            }
        }
    }

    .banner_home{
        padding: 20px 0;

        &__box{
            display: flex;
            // gap: 15px;
            // grid-gap: 15px;
            // max-width: 450px;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            // box-shadow: 0 3px 10px 0 rgba(#000, 0.1);
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            padding: 1rem;
            margin: 0 auto 0;
            // border-radius: 5px;
        }

        &__item{
            display: flex;
            flex: 0 0 286px;
            // width: 30px;
            height: auto;
            scroll-snap-stop: always;
            scroll-snap-align: start;
            background-color: #ccc;
            // filter: drop-shadow(0px 6px 12px rgba(0, 0, 0, 0.1));
            border-radius: 4px;
            overflow: hidden;
            margin-right: 15px;

            img{
                width: 100%;
                height: 100%;
                object-fit: cover;
            }
        }
    }

    .brand_home{
        padding: 20px 0 20px 20px;
        background: #F3F7F6;

        &__list{
            display: flex;
            // gap: 10px;
            // grid-gap: 10px;
            // max-width: 450px;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            // box-shadow: 0 3px 10px 0 rgba(#000, 0.1);
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            // padding: 1rem;
            margin: 0 auto 0;
            // border-radius: 5px;
        }

        &__items{
            display: flex;
            flex: 0 0 100px;
            // width: 30px;
            height: auto;
            scroll-snap-stop: always;
            scroll-snap-align: start;
            // filter: drop-shadow(0px 6px 12px rgba(0, 0, 0, 0.1));
            border-radius: 4px;
            overflow: hidden;
            margin-right: 10px;
            background: #fff;
            justify-content: center;
            align-items: center;

            a{
                display: inline-block;
                padding: 5px;
            }

            img{
                width: 100%;
                height: 100%;
                object-fit: fill;
            }
        }
    }

    .sales_home{
        padding: 20px 0;
        
        &__items{
            margin-bottom: 15px;

            img{
                width: 100%;
                border-radius: 5px;
                overflow:hidden;
            }
        }
    }

    .content-post{
        margin: 2rem 0;
        min-height: calc(100vh - 200px);

        p{
            margin-bottom: 10px;
            font-size: 15px;
            line-height: 24px;
        }

        h1,h2,h3,h4,h5,h6{
            margin-bottom: 10px;
            font-size: 18px;
        }
    }

    .btn_close_content{
        width: 164px;
        height: 52px;
        background: #F2F2F2;
        border-radius: 50px;
        border: none;
        margin: 15px 0;
        font-size: 17px;
    }

    .news_categorys{
        &__items{
           .thumbnail{
               margin-bottom: 15px;

               img{
                   width: 100%;
                   border-radius: 5px;
               }
           } 

           .title{
               font-weight: 600;
               margin-bottom: 10px;
               font-size: 20px;
           }

           .description{
               font-size: 15px;
           }

           .views{
               display: inline-flex;
               align-items: center;
               justify-content: center;
               height: 38px;
               background: #F3F7F6;
                border-radius: 50px;
                color: var(--primarylight);
                font-size: 15px;
                text-align: center;
                padding: 5px 15px;
                margin: 15px 0;

                svg{
                    width: 8px;
                    margin-left: 10px;
                }
           }
        }
    }

    /*Setings box*/
    .settings_box{
        padding: 0 20px;
        margin-bottom: 15px;
        border-bottom: 1px solid #dedede;

        &__head{
            display: flex;
            align-items: center;
            justify-content: space-between;
            font-weight: bold;

            .btn_collapse_down{
                svg{
                    width: 15px;
                }
            }
        }

        .list_check{
            list-style: none;
            padding: 0;
            margin: 20px 0;

            li{
                padding: 0;
                margin-bottom: 15px;

                .styled-checkbox {
                    position: absolute; // take it out of document flow
                    opacity: 0; // hide it
                
                    & + label {
                    position: relative;
                    cursor: pointer;
                    padding: 0;
                    }
                
                    // Box.
                    & + label:before {
                    content: '';
                    margin-right: 10px;
                        display: inline-block;
                        vertical-align: text-top;
                        width: 20px;
                        height: 20px;
                        background: white;
                        border: 1px solid #a5a5a5;
                        border-radius: 3px;
                        position: relative;
                        top: -2px;
                    }
                
                    // Box hover
                    &:hover + label:before {
                    background: #fff;
                    }
                    
                    // Box focus
                    &:focus + label:before {
                    box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.12);
                    }
                
                    // Box checked
                    &:checked + label:before {
                    background: #157159;
                    }
                    
                    // Disabled state label.
                    &:disabled + label {
                    color: #b8b8b8;
                    cursor: auto;
                    }
                
                    // Disabled box.
                    &:disabled + label:before {
                    box-shadow: none;
                    background: #ddd;
                    }
                
                    // Checkmark. Could be replaced with an image
                    &:checked + label:after {
                    content: '';
                    position: absolute;
                    left: 5px;
                    top: 7px;
                    background: white;
                    width: 2px;
                    height: 2px;
                    box-shadow: 
                        2px 0 0 white,
                        4px 0 0 white,
                        4px -2px 0 white,
                        4px -4px 0 white,
                        4px -6px 0 white,
                        4px -8px 0 white;
                    transform: rotate(45deg);
                    }
                }
            }

            &.--color{
                display: flex;
                flex-wrap: wrap;
                margin-left: -5px;
                margin-right: -5px;
                
                li{
                    
                    margin: 0 5px 10px;

                    &.active{
                        &::after{
                            filter: brightness(100);
                            top: 16px;
                        }
                    }

                    span{
                        display: inline-block;
                        width: 48px;
                        height: 48px;
                        border-radius: 100%;
                    }
                }
            }

            &.--optionSize{
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                margin-left: -5px;
                margin-right: -5px;

                li{
                    margin: 0 5px 10px;

                    span{
                        display: inline-flex;
                        text-align: center;
                        align-items: center;
                        justify-content: center;
                        width: 43.94px;
                        height: 37px;
                        background: #FFFFFF;
                        border: 1px solid #CED3DF;
                        box-sizing: border-box;
                        border-radius: 2px;
                    }

                    &.active{
                        &::after{
                            display: none;
                        }
                        span{
                            border-color: var(--primarylight);
                        }
                    }
                }
            }
        }
    }

    .product_list_category{
        .nav_tabs{
            display: flex;
            overflow-x: auto;
            scroll-snap-type: x mandatory;
            // box-shadow: 0 3px 10px 0 rgba(#000, 0.1);
            -webkit-overflow-scrolling: touch;
            scroll-padding: 1rem;
            margin: 0 auto 0;

            .item{
                display: flex;
                flex: 0 0 25%;
                // width: 30px;
                height: auto;
                scroll-snap-stop: always;
                scroll-snap-align: start;
                justify-content: center;
                align-items: center;
            }
        }

        .controler_filter{
            display: flex;
            align-items: center;
            margin: 1rem 0;
            padding: 0 20px;

            .btn_filter{
                border: none;
                background: #F3F7F6;
                border-radius: 50px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                margin-left: 10px;
                padding: 5px 10px;
                height: 38px;
                font-size: 13px;
                min-width: 100px;

                svg{
                    width: 12px;
                    margin-left: 10px;
                    color: var(--primarylight);
                }
            }
        }
    }

    .list_products{
        display: flex;
        flex-wrap: wrap;
        margin-left: -10px;
        margin-right: -10px;

        &__card{
            position: relative;
        }

        &__item{
            padding: 0 10px;
            width: 50%;
            margin-bottom: 20px;

            .thumbnail{
                max-height: 197px;
                object-fit: fill;
                overflow: hidden;
                margin-bottom: 10px;
            }
            .ribbon_product{
                background: #FFAD0F;
                border-radius: 2px;
                font-size: 13px;
                text-align: center;
                display: inline-flex;
                align-items: center;
                right: 0;
                position: absolute;
                padding: 3px 5px;
            }
            .name_product{
                margin-bottom: 3px;
                font-size: 14px;
                line-height: 20px;

                a{
                    color: var(--normalText);
                    @include clamp(2);
                }
            }
            .price_product{
                font-weight: 600;
                font-size: 14px;
            }
        }
    }

    .viewmore{
        width: 120px;
        height: 47px;
        background: #F3F7F6;
        border-radius: 50px;
        color: #157159;
        font-size: 15px;
        border: none;
        margin: 15px 0 20px;
    }

    .detail_production{
        &__thumbnailProduction{
            height: 451px;
            background: #dedede;
            margin-bottom: 20px;
        }
        &__nameProduction{
            font-size: 20px;
            line-height: 28px;
            letter-spacing: 0.38px;
            margin-bottom: 10px;
        }
        &__priceSku{
            display: flex;
            justify-content: space-between;
            margin-bottom: 20px;

            .price{
                .priceBuy{
                    margin-bottom: 2px;

                    span{
                        letter-spacing: 0.75px;
                        font-weight: bold;
                        font-size: 20px;
                        line-height: 24px;
                        color: #E03E3E;
                        display: inline-block;

                        sup{
                            font-weight: bold;
                        }

                        &.saleoff{
                            letter-spacing: -0.24px;
                            color: #157159;
                            background: #F3F7F6;
                            border-radius: 2px;
                            width: 51px;
                            height: 26px;
                            font-size: 15px;
                            line-height: 26px;
                            text-align: center;
                            font-weight: normal;
                            margin-left: 5px;
                        }
                    }
                }
                .priceLight{
                    color: var(--description);
                    font-weight: normal;
                    font-size: 15px;
                    text-decoration-line: line-through;
                }
            }
        }

        &__options{
            margin-bottom: 15px;

            p{
                margin-bottom: 15px;
            }
            &___style{
               .list_style{
                   display: flex;
                   align-items: center;
                   margin-left: -5px;
                   margin-right: -5px;

                   li{
                       width: calc(100% / 5);
                       padding: 0 5px;

                       .thumbnail_style{
                           padding: 5px;
                           text-align: center;
                           border: 2px solid transparent;
                           border-radius: 4px;
                           display: inline-flex;
                           align-items: center;
                           justify-content: center;
                       }

                       &.active{
                           position: relative;

                            &::after{
                                content: "";
                                position: absolute;
                                right: 0;
                                left: 0;
                                top: 25px;
                                width: 18px;
                                height: 18px;
                                background-image: url('../images/check.svg');
                                background-repeat: no-repeat;
                                background-repeat: no-repeat;
                                filter: brightness(100);
                                margin: auto;
                            }

                        .thumbnail_style{
                            border-color: var(--primarylight);
                        }
                       }

                   }
               } 
            }

            &___size{

                &.settings_box{
                    padding: 0;
                }

                .heading{
                    display: flex;
                    align-items: center;
                    margin-bottom: 15px ;
                }
                .tutorial_size{
                    display: inline-flex;
                    align-items: center;

                    svg{
                        width: 16px;
                        margin-right: 5px;
                    }
                }
            }
        }

        .btn-add-cart{
            background: #157159;
            border-radius: 8px;
            width: 100%;
            padding: 15px 8px;
            color: #fff;
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 16px;
            margin: 20px 0;

            svg{
                width: 20px;
                margin-right: 10px;
            }
        }

        &__content{
            margin: 40px 0;

            .heading{
                font-size: 17px;
                font-weight: bold;
                margin-bottom: 20px;
                text-transform: uppercase;
            }

            .post_entry{
                font-size: 15px;
                line-height: 1.6;
            }
        }

        &__orther{
            border-top: 8px solid #F3F7F6;
            background: #fff;
            padding: 30px 0;

            .heading_title{
                font-size: 18px;
                text-transform: uppercase;
                margin-bottom: 20px;
                font-weight: bold;
            }
        }
    }

    .list_product_scroll{
        display: flex;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        -webkit-overflow-scrolling: touch;
        margin: 0 auto 0;

        &__item{
            flex: 0 0 250px;
            height: auto;
            scroll-snap-stop: always;
            scroll-snap-align: start;
            overflow: hidden;
            margin-right: 15px;

            &___thumnail{
                margin-bottom: 10px;
            }

            &___info{
                .name_product{
                    font-weight: normal;
                    font-size: 16px;
                    line-height: 22px;
                    letter-spacing: -0.24px;
                    margin-bottom: 5px;

                    a{
                        color: #000;
                        @include clamp(2)
                    }
                }

                .price_product{
                    font-weight: bold;
                    font-size: 16px;
                }
            }
        }
    }
}

/*Home Screen*/
.Home-Screen{
    padding-bottom: 65px;
    padding-top: 0;

    .activity_screen{
        min-height: calc(100vh - 65px);
        overflow: hidden;
        overflow-y: auto;
    }

    #headerControler{
        min-height: 75px;
        padding: 15px 0;
        background: #fff;
        position: unset;
        

        nav.nav-controler{
            height: auto;
        }

        .search_controler{
            margin: 0 15px;
    
            svg{
                width: 17px;
                position: absolute;
                left: 17px;
                top: 10px;
                color: #9AA09F;
            }
    
            input{
                background: #F3F7F6;
                border-radius: 60px;
                height: 38px;
                padding-left: 44px;
            }
        }

        .btn-searchTop{
            position: absolute;
            right: 80px;

            svg{
                width: 25px;
                color: var(--primarylight);
            }
        }

        &.scroll-head{
            .myCart_controler{
                position: fixed;
                right: 20px;
                top: 15px;
                z-index: 10;
                transition: all 1s;
            }
        }
    }
}

/*Menu Bottom*/
.navs_menu_bottom{
    height: 65px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 999;
    background: #fff;

    .navs_menus{
        display: flex;
        width: 100%;

        &__item{
            flex: 1 1;
            
            a{
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                text-align: center;
                position: relative;
                color: var(--description);
                font-size: 10px;
                line-height: 12px;

                img{
                    height: 24px;
                    margin-bottom: 3px;
                }
            }
        }
    }
}

/*popup*/
.my_popup{
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 999;
    display: flex;
    align-items: center;
    justify-content: center;
    
    &::after{
        content: "";
        width: 100%;
        height: 100%;
        position: absolute;
        z-index: 1;
        background: #0000004d;
    }

    &__block{
        width: 343px;
        height: 427px;
        background: #fff;
        border-radius: 20px;
        overflow: hidden;
        position: absolute;
        z-index: 2;

        .button-close{
            z-index: 3;
            position: absolute;
            left: 87.17%;
            right: 4.08%;
            top: 3.75%;
            bottom: 89.23%;
            border-radius: 100%;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            background: rgba(249, 249, 249, 0.78);
            backdrop-filter: blur(54.3656px);
        }
    }

    &__content{
        padding: 20px;
        font-size: 17px;
        

        .btn-register{
            width: 140px;
            height: 47px;
            display: inline-block;
            border: 0;
            background: #157159;
            border-radius: 50px;
            margin: 20px 0 40px;
            color: #fff;
            font-weight: 600;
        }

        a{
            color: var(--primarylight);
        }
    }
}

/*My Cart*/
.boxMyCart{
    &_list{
        list-style: none;
        padding: 0;
        margin: 0;

        .heading{
            padding: 10px 15px;
            font-size: 15px;
            font-weight: bold;
            margin-top: 10px;
        }

        &__gift{
            .customCheckbox input:checked ~ .checkmark {
                background-color: #ffad0f;
            }
        }

        &+.boxMyCart_list{
            border-top: 5px solid #e6e6e6;
        }

        &__item{
            border-bottom: 1px solid #ddd;   
            padding: 15px !important; 

            &___product{
                display: flex;
                transition: all 500ms ease;

                &-left{
                    display: flex;
                    align-items: baseline;

                    .checklistItem{
                        width: 40px;
                        text-align: center;
                        display: inline-flex;
                        // justify-content: center;
                    }

                    .thumbnailItem{
                        width: 62.15px;
                        padding: 5px;
                        background: #eee;
                        text-align: center;
                    }
                }

                &-right{
                    padding-left: 10px;

                    .name_product{
                        font-size: 15px;
                        color: #484A4A;
                        margin-bottom: 5px;

                        @include clamp(1)
                    }

                    .button-option{
                        border: none;
                        background: #F3F7F6;
                        border-radius: 4px;
                        width: 100%;
                        height: 31px;
                        display: flex;
                        align-items: center;
                        justify-content: space-between;
                        margin-bottom: 5px;

                        span{
                            font-size: 13px;
                            width: 80%;
                            @include clamp(1)
                        }

                        svg{
                            width: 10px;
                        }
                    }

                    .price_product{
                        font-weight: bold;
                    }
                }
            }

            .btn-remove-item{
                display: none;
            }

            &.editing{
                display: flex;
                
                .boxMyCart_list__item___product{
                    transition: all 500ms ease;
                    transform: translateX(-80px);
                }

                .btn-remove-item{
                    display: inline-flex;
                    background: red;
                    color: #fff;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    position: absolute;
                    right: 0;
                    height: 100%;
                    top: 0;
                    width: 75px;
                    font-size: 14px;

                    svg{
                        width: 20px;
                        margin-bottom: 15px;
                    }
                }
            }
        }
    }

    .totalPriceAll{
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 10px 15px;
        border-bottom: 1px solid #eee;

        .discount{
            font-weight: 600;
            color: var(--primarylight);
        }
    }

    &.boxMyCartToSale{
        .thumbnailItem{
            padding: 0;
            background: transparent;
        }

        .name_product{
            font-weight: 600;
            line-height: 1.3;
            @include clamp(2)
        }

        .boxMyCart_list__item___product-left {
            display: flex;
            align-items: baseline;
        }
        .boxMyCart_list__item___product-right {
            padding-left: 15px;
            padding-right: 25px;
        }

        .discount_sale{
            width: 51px;
            height: 24px;
            font-weight: normal;
            font-size: 11px;
            background: #FFAD0F;
            border-radius: 2px;
            display: inline-flex;
            margin-bottom: 5px;
            align-items: center;
            justify-content: center;
        }

        .checkRight{
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: center;

            .theleItem{
                color: var(--link);
                font-size: 12px;
            }

            .custom_radio{
                left: 10px;

                .checkmark:after {
                    left: 8px;
                    top: 4px;
                }
            }
        }
    }
}

.borderMargin{
    border-top: 5px solid #e6e6e6;
}


/**Settings*/
.backdrop_settings{
    position: fixed;
    width: 100%;
    height: 100%;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 99;
    background: #0000005c;
}
.box_settings_option{
    background: #FFFFFF;
    border-radius: 15px 15px 0px 0px;
    width: 100%;
    min-height: 280px;
    box-shadow: 0px 1px 14px rgb(0 0 0 / 10%);
    position: fixed;
    bottom: 0;
    // z-index: 999;
    transform: translateY(100%);
    // visibility: hidden;
    transition: all .5s;

    &.open{
        z-index: 999;
        transform: translateY(0);
        // visibility: visible;
        transition: all .5s;
    }

    &__head{
        background: #FFFFFF;
        border-radius: 10px 10px 0px 0px;
        height: 52px;
        padding: 0 15px;
        display: flex;
        justify-content: space-between;
        align-items: center;
        box-shadow: 0px -5px 15px 0px rgb(0 0 0 / 10%);

        .title{
            font-weight: 600;
            font-size: 16px;
        }

        button{
            border: none;
            background-color: transparent;
        }
    }

    &__content{
        padding: 2rem 0;

        ul{
            padding: 0;
            margin: 0;
            list-style: none;

            li{
                padding: 10px;
                padding-right: 30px;
                position: relative;

                span{
                    display: block;
                    font-size: 15px;
                }

                &.active{
                    position: relative;

                    &::after{
                        content: "";
                        position: absolute;
                        right: 15px;
                        top: 10px;
                        width: 18px;
                        height: 18px;
                        background-image: url('../images/check.svg');
                        background-repeat: no-repeat;
                    }
                }
            }
        }

        .headText{
            display: flex;
            align-items: center;
            font-size: 16px;
            color: var(--primarylight);
            margin-bottom: 15px;

            svg{
                width: 16px;
                margin-right: 5px;
                color: var(--primarylight);
            }
        }

        .info_myCart{
            &__thumbnail{
                width: 90px;
                float: left;
                margin-right: 15px;
                text-align: center;
                background: #ececec;
                padding: 10px;
            }
            &__right{
                width: 68%;
                float: right;
            }

            .name_product{
                font-weight: normal;
                font-size: 15px;
                margin-bottom: 5px;
            }

            .orther_option{
                font-weight: normal;
                font-size: 13px;
                color: var(--description);
                margin-bottom: 5px;
            }
            .price_number{
                font-size: 15px;
                font-weight: 600;
            }
        }
    }

    &__footer{
        border-top: 1px solid #ddd;
        min-height: 80px;
        position: absolute;
        bottom: 0;
        width: 100%;
        background: #fff;

        &__flex{
            padding: 15px 15px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        .total_price{
            padding: 10px 15px 5px;
            font-size: 15px;
            background: #fff;
            display: flex;
            justify-content: space-between;
            

            &+.total_price{
                border-top: 1px solid #eaeaea;
            }
        }

        .btn{
            height: 50px;
            width: 48%;
            border: none;
            border-radius: 8px;
            background: #F2F2F2;
            text-align: center;
            font-size: 15px;
            font-weight: 600;
            display: inline-flex;
            align-items: center;
            justify-content: center;

            svg{
                width: 20px;
                margin-right: 15px;
            }

            &.block{
                width: 100%;
            }

            &.btn-apply{
                background: var(--primarylight);
                color: #fff;
            }

            &.btn-cancel{
                background: #FFE7E7;
                color: #F04F4F;
            }

            &.radius{
                border-radius: 40px;
            }

            &.btn-rebuy{
                background: #FFAD0F;
                color: #fff;
            }
        }

        .controler{
            background: #fff;
            padding: 10px 15px 5px;
            display: flex;
            justify-content: space-between;
            align-items: center;

            .discountGroup{
                .btn_discount{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    border: none;
                    background: transparent;
                    color: #000;
                    padding: 0;

                    svg{
                        width: 18px;
                        color: #FFAD0F;
                        margin-right: 8px;

                        &.angle-right{
                            color: #797979;
                            width: 9px;
                            margin-left: 10px;
                            margin-right: 0px;
                        }
                    }

                    &_option{
                        width: 150px;
                        background: #FFF1D6;
                        border: 1px solid #FFAD0F;
                        border-radius: 4px;
                        font-size: 13px;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        display: -webkit-box;
                        -webkit-line-clamp: 1;
                        -webkit-box-orient: vertical;
                        color: #FFAD0F;
                        overflow: hidden;
                        padding: 2px;
                    }
                }
            }
        }
    }

    .btn-block-setting{
        background: var(--primarylight);
        color: #fff;
        height: 50px;
        width: 100%;
        border: none;
        border-radius: 8px;
        text-align: center;
        font-size: 15px;
        font-weight: 600;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        margin: 20px 0 15px;

        svg{
            width: 20px;
            margin-right: 15px;
        }
    }
}

#filter_advance{
    transform: translateY(0);
    visibility: visible;

    &.full_setings{
        height: 100vh;
    }
    

    .box_settings_option__head{
        border-radius: 0;
    }

    .box_settings_option__content{
        padding: 2rem 0;
        max-height: calc(100vh - 132px);
        overflow: hidden;
        overflow-y: auto;

        .settings_box{
            padding: 0 20px;
            margin-bottom: 15px;
            border-bottom: 1px solid #dedede;

            &__head{
                display: flex;
                align-items: center;
                justify-content: space-between;
                font-weight: bold;

                .btn_collapse_down{
                    svg{
                        width: 15px;
                    }
                }
            }

            .list_check{
                list-style: none;
                padding: 0;
                margin: 20px 0;

                li{
                    padding: 0;
                    margin-bottom: 15px;

                    .styled-checkbox {
                        position: absolute; // take it out of document flow
                        opacity: 0; // hide it
                      
                        & + label {
                          position: relative;
                          cursor: pointer;
                          padding: 0;
                        }
                      
                        // Box.
                        & + label:before {
                          content: '';
                          margin-right: 10px;
                            display: inline-block;
                            vertical-align: text-top;
                            width: 20px;
                            height: 20px;
                            background: white;
                            border: 1px solid #a5a5a5;
                            border-radius: 3px;
                            position: relative;
                            top: -2px;
                        }
                      
                        // Box hover
                        &:hover + label:before {
                          background: #fff;
                        }
                        
                        // Box focus
                        &:focus + label:before {
                          box-shadow: 0 0 0 3px rgba(0, 0, 0, 0.12);
                        }
                      
                        // Box checked
                        &:checked + label:before {
                          background: #157159;
                        }
                        
                        // Disabled state label.
                        &:disabled + label {
                          color: #b8b8b8;
                          cursor: auto;
                        }
                      
                        // Disabled box.
                        &:disabled + label:before {
                          box-shadow: none;
                          background: #ddd;
                        }
                      
                        // Checkmark. Could be replaced with an image
                        &:checked + label:after {
                          content: '';
                          position: absolute;
                          left: 5px;
                          top: 7px;
                          background: white;
                          width: 2px;
                          height: 2px;
                          box-shadow: 
                            2px 0 0 white,
                            4px 0 0 white,
                            4px -2px 0 white,
                            4px -4px 0 white,
                            4px -6px 0 white,
                            4px -8px 0 white;
                          transform: rotate(45deg);
                        }
                      }
                }

                &.--color{
                    display: flex;
                    flex-wrap: wrap;
                    margin-left: -5px;
                    margin-right: -5px;
                    
                    li{
                        
                        margin: 0 5px 10px;

                        &.active{
                            &::after{
                                filter: brightness(100);
                                top: 16px;
                            }
                        }

                        span{
                            display: inline-block;
                            width: 48px;
                            height: 48px;
                            border-radius: 100%;
                        }
                    }
                }

                &.--optionSize{
                    display: flex;
                    flex-wrap: wrap;
                    align-items: center;
                    margin-left: -5px;
                    margin-right: -5px;

                    li{
                        margin: 0 5px 10px;

                        span{
                            display: inline-flex;
                            text-align: center;
                            align-items: center;
                            justify-content: center;
                            width: 43.94px;
                            height: 37px;
                            background: #FFFFFF;
                            border: 1px solid #CED3DF;
                            box-sizing: border-box;
                            border-radius: 2px;
                        }

                        &.active{
                            &::after{
                                display: none;
                            }
                            span{
                                border-color: var(--primarylight);
                            }
                        }
                    }
                }
            }
        }

        .option_product{

            &.activity_screen{
                min-height: auto;
            }
            .thumbnail_img{
                width: 90px;
                float: left;
                margin-right: 15px;
                text-align: center;
                background: #ececec;
                padding: 10px;
            }

            .infoAndOption{
                width: 68%;
                float: right;

                .detail_production__priceSku{
                    margin-bottom: 10px;

                    .price{
                        .priceBuy{
                            margin-bottom: 0;
                            span{
                                font-size: 16px;
                            }
                        }
                    }
                }

                .detail_production__options___style{
                    .list_style{
                        display: flex;
                        overflow-x: auto;
                        scroll-snap-type: x mandatory;
                        -webkit-overflow-scrolling: touch;
                        margin: 0 auto 0;

                        li{
                            flex: 0 0 26%;
                            height: auto;
                            scroll-snap-stop: always;
                            scroll-snap-align: start;
                            overflow: hidden;
                            margin-right: 5px;
                        }
                    }
                }
            }
        }

        .table_size{
            margin: 20px 0;

            .table{
                thead tr{
                    background: #F2F2F2;
                    
                    th{
                        padding: 15px;
                        text-align: center;
                        font-size: 15px;
                        font-weight: bold;
                        text-transform: uppercase;
                    }
                }

                tbody{
                    tr{
                        border-bottom: 1px solid #ddd;

                        &:last-child{
                            border-bottom: none;
                        }

                        td{
                            vertical-align: middle;
                            text-align: center;
                            font-size: 15px;
                            padding: 10px;
                        }
                    }
                }
            }
        }

        .control_number{
            display: flex;
            align-items: center;
            margin: auto;
            text-align: center;
            justify-content: center;

            .btn{
                width: 42px;
                height: 42px;
                border-radius: 100%;
                background: #F3F7F6;
                color: var(--primarylight);
                text-align: center;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                font-size: 23px;
            }

            input{
                height: 42px;
                width: 64px;
                border-radius: 40px;
                border: 1px solid #ddd;
                text-align: center;
                margin: 0 5px;
            }
        }
    }
}

/*category*/
.TopHeadCategory{
    &_thumbnail{
        margin-bottom: 5px;

        img{
            border-radius: 5px;
            width: 100%;
        }
    }
    &_brand{
        text-align: center;
    }
}

/**custom radio*/
.custom_radio{
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;

        &:checked ~ .checkmark {
            background-color: #157159;
          }

          &:checked ~ .checkmark:after {
            display: block;
          }
      }

      .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 20px;
        width: 20px;
        background-color: #eee;
        border-radius: 50%;

        &:after {
            content: "";
            position: absolute;
            display: none;
          }
      }

      .checkmark:after {
        left: 7px;
        top: 3px;
        width: 5px;
        height: 10px;
        border: solid white;
        border-width: 0 2px 2px 0;
        transform: rotate(
            45deg
            );
        }
}

/*Table*/
//
// Basic Bootstrap table
//
.table {
    --bs-table-bg: transparent;
    --bs-table-striped-color: #212529;
    --bs-table-striped-bg: rgba(0, 0, 0, 0.05);
    --bs-table-active-color: #212529;
    --bs-table-active-bg: rgba(0, 0, 0, 0.1);
    --bs-table-hover-color: #212529;
    --bs-table-hover-bg: rgba(0, 0, 0, 0.075);
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
    vertical-align: top;
    border-color: #dee2e6;
  }
  .table > :not(caption) > * > * {
    padding: 0.5rem 0.5rem;
    background-color: var(--bs-table-bg);
    border-bottom-width: 1px;
    box-shadow: inset 0 0 0 9999px var(--bs-table-accent-bg);
  }
  .table > tbody {
    vertical-align: inherit;
  }
  .table > thead {
    vertical-align: bottom;
  }
  .table > :not(:last-child) > :last-child > * {
    border-bottom-color: currentColor;
  }
  
  .caption-top {
    caption-side: top;
  }

.label-default{
    .nameCheck{
        margin-left: 10px;
    }
}

  /*Custom CheckBox*/
  .customCheckbox{
      position: relative;
      width: 20px;

      .name{
        margin: 0 10px;
        position: relative;
        top: 2px;
      }
    // input {
    //     position: absolute;
    //     opacity: 0;
    //     cursor: pointer;
    //     height: 0;
    //     width: 0;
    //   }
      /* Create a custom checkbox */
        .checkmark {
            position: absolute;
            top: 0;
            left: 0;
            height: 20px;
            width: 20px;
            background-color: #eee;
            border-radius: 5px;
            background: #fff;
            border: 1px solid #ddd;
        }

        input:checked ~ .checkmark {
            background-color: var(--primarylight);
          }
          .checkmark:after {
            content: "";
            position: absolute;
            display: none;
          }
          input:checked ~ .checkmark:after {
            display: block;
          }
          .checkmark:after {
            left: 7px;
            top: 3px;
            width: 5px;
            height: 10px;
            border: solid white;
            border-width: 0 2px 2px 0;
            -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            transform: rotate(45deg);
          }
  }

/*Heading Box*/
.heading_tile_box{
    display: flex;
    align-items: center;
    font-size: 15px;
    color: var(--primarylight);
    margin-bottom: 15px;
    padding: 0 15px;
    display: flex;
    justify-content: space-between;

    svg{
        width: 12px;
    }

    img{
        width: 22px;
        height: 22px;
        margin-right: 5px;
    }

    .text{
        display: flex;
        align-items: center;
        font-weight: bold;
    }

    .changerButton{
        font-weight: 600;
        font-size: 13px;
        color: var(--link);
    }
}

.heading_des_box{
    font-weight: 600;
    padding: 0 15px;
}

.pt20{
    padding-top: 20px;
}

  /*My cart*/
.info_myCart_block{
    background: #fff;
    padding-bottom: 20px;

    &__panel{
        padding: 0 15px;
    }

    &__panel__bottom{
        margin-top: 10px;
        padding: 15px 15px 0;
        border-top: 1px solid #ddd;
  
        .status{
            display: flex;
            align-items: center;

            img{
                margin-right: 10px;
                width: 22px;
                height: 22px;
            }

            &.choxacnhan{
                color: #FFAD0F;
            }

            &.dangxuly{
                color: #719BEC;
            }

            &.danggiao{
                color: #4DAD68;
            }

            &.hoanthanh{
                color: #9796D2;
            }

            &.huydon{
                color: #F06E6E;
            }
        }
    }

   &__row{
       padding: 0;
       list-style: none;
       margin: 0;

       &___item{
           display: flex;
           align-items: center;
           justify-content: space-between;
           margin-bottom: 8px;
           padding: 0 !important;
           

           &>span{
            font-size: 14px !important;

            small{
                font-size: 13px;
                font-weight: 400;
            }
           }

           &:last-child{
               span{
                   font-weight: bold;
               }
           }
       }
   }

   .block_paymethod{
       .custom_radio{
        display: flex;
        align-items: center;
        border: 1px solid #ddd;
        border-radius: 10px;
        padding: 15px 35px;
        width: 100%;

        &.active{
            border-color: var(--primarylight);
        }

        .checkmark {
            top: 15px;
            left: 8px;
        }

        .icon{
            position: absolute;
            right: 15px;

            svg{
                width: 30px;
                color: var(--primarylight);
            }
        }

       }
       .text_paymethod{
           font-size: 14px;
           font-weight: bold;
           color: #000;
        em{
            font-weight: 400;
            font-style: normal;
            font-size: 13px;
            color: var(--description);
            display: block;
        }
       }
   }

}

.customInputTranperion{
    width: 100%;
    border: none;
    background: #fff;
}

.success_buynow{
    P{
        font-size: 14px;
    }

    &__info{
       

        li{
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-bottom: 10px;
            color: var(--description);
        }
    }

    .btnViewDetaiCart{
        text-align: center;
        font-size: 15px;
        color: #fff;
        background: var(--primarylight);
        border-radius: 40px;
        padding: 15px 30px;
        margin: 15px 0;
    }
}


/*Form*/
.form-change_address{
    padding: 0 15px;

    .customCheckbox{
        width: 100%;

        .save_Store{
            margin-left: 15px;
        }
    }
    
    label{
        font-size: 13px;
        margin-bottom: 10px;
        display: block;
        color: var(--description)_;
    }

    .form-control{
        width: 343px;
        height: 44px;
        background: #fff;
        width: 100%;
        padding: auto 15px;
        border: 1px solid #D7DBDE;
        
        &:focus{
            border: 1px solid #D7DBDE;
        }
    }

    .form-group{

    }
}
.pt0{
    padding-top: 0 !important;
}

.nav_menu_scroll{
    background: #fff;
    display: flex;
    overflow-x: auto;
    scroll-snap-type: x mandatory;
    -webkit-overflow-scrolling: touch;
    scroll-padding: 1rem;
    margin: 0 auto 0;
    padding: 0 10px;

    a{
        display: flex;
        flex: 0 0 28%;
        height: auto;
        scroll-snap-stop: always;
        scroll-snap-align: start;
        justify-content: center;
        align-items: center;
        display: inline-block;
        padding: 10px;
        color: var(--description);
        text-align: center;
        position: relative;

        &.active {
            color: var(--primary);
            border-bottom: 2px solid var(--primary);
        }

        &.status{
            &::after{
                content: "";
                position: absolute;
                width: 6px;
                height: 6px;
                border-radius: 100%;
                background: #da0000;
                overflow: hidden;
                margin-left: 3px;
            }
        }
    }
}

.pageNotification{
    &_listNotifi{
        margin: 20px 0;

        &__group{
            padding: 0;
            list-style: none;
            
            &___item{
                padding: 15px 15px !important;
                border-bottom: 1px solid #ddd;
                padding-right: 15px !important;

                a{
                    display: flex;

                    .logo-left{
                        width: 70px;
                        text-align: center;
                    }
                    .info-right{
                        width: 80%;

                        .title_notifi{
                            font-weight: 600;
                            font-size: 15px;
                            color: #000;
                            margin-bottom: 5px;
                        }

                        .content_notifi{
                            font-size: 13px;
                            color: var(--secondary);
                            margin-bottom: 10px;
                        }
                        .time_notifi{
                            color: var(--description);
                        }
                    }
                }
            }
        }
    }
}

.btn-default-view{
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: #F3F7F6;
    border-radius: 50px;
    color: #157159;
    padding: 15px 20px;
    font-size: 15px;
    font-weight: 600;
    margin: 20px 0;
}


.pageUserSetings{
    &_Mystore{
        display: flex;
        justify-content: center;
        flex-direction: column;
        min-height: 250px;
        text-align: center;
        align-items: center;
        padding: 2rem 0;
        background: #fff;

        .thumbnail_store{
            width: 90px;
            height: 90px;
            border-radius: 100%;
            background: #157159;
            overflow: hidden;
            margin-bottom: 15px;
        }

        .name_store{
            font-size: 16px;
            color: #000;
            margin-bottom: 5px;
        }

        .phone_store{
            font-size: 15px;
            color: var(--description);
        }
    }

    &_Myorder{
        background: #fff;

        &__Top{
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 15px;
            border-bottom: 1px solid #dddd;

            .headTitle{
                display: inline-flex;
                align-items: center;

                img{
                    width: 25px;
                    margin-right: 10px;
                }
            }
            .history_order{
                display: inline-flex;
                align-items: center;
                color: #000;

                svg{
                    width: 9px;
                    margin-left: 5px;
                }
            }
        }

        &__ListStatus{
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 15px 0;

            .col-status{
                flex: 1 1;
                text-align: center;

                img{
                    margin-bottom: 5px;
                }

                span{
                    display: block;
                }

                .ic{
                    position: relative;
                    display: inline-flex;

                    .number_ribbon{
                        position: absolute;
                        width: 20px;
                        height: 20px;
                        border-radius: 100%;
                        display: inline-flex;
                        align-items: center;
                        justify-content: center;
                        color: #fff;
                        background: #FFAD0F;
                        font-size: 12px;
                        top: -10px;
                        left: 12px;
                    }
                }
            }
        }
    }

    &__Menuoption{
        background: #fff;
    }

    &-background{
        background: #00543E;

        .pageUserSetings_Mystore, .box_settings_option__head{
            background: transparent;
            color: #fff;
            box-shadow: unset;
        }

       .pageUserSetings_Mystore{
            min-height: 160px;
        }

        .box_settings_option__head{
            button,.btn_edit{
                img{
                    filter: brightness(100);
                }
            }
        }
    }
}


.list_menu_options{
    padding: 5px 0;
    list-style: none;
    margin: 0;

    li{
        border-bottom: 1px solid #ddd;

        .row-list{
            display: flex;
            align-items: center;
            padding: 10px 15px;
            color: #484A4A;
            justify-content: space-between;

            .title{
                display: inline-flex;
                align-items: center;
                justify-content: center;
                text-align: center;

                img{
                    margin-right: 10px;
                    width: 20px;
                }
            }

            .ic_next{
                position: relative;
                top: 3px;

                svg{
                    width: 8px;
                }
            }
        }
    }
}

.btn-logout{
    background: #fff;
    color: red;
    display: inline-block;
    padding: 10px 20px;
    font-size: 15px;
    border-radius: 40px;
    margin: 15px 0;
    font-weight: 600;
    // border: 1px solid #dadada;
}


.info_store_user{
    .row_info{
        padding: 0;
        margin: 0;
        list-style: none;

        .row_info__item{
            border-bottom: 1px solid #ddd;
            padding: 15px 15px;
            display: flex;
            justify-content: space-between;
            align-items: center;

            label{
                font-size: 15px;
                margin: 0;
                color: #000;
                width: 50%;
            }

            span{
                font-size: 15px;
                text-align: right;
                display: inline-flex;
                
                .address-icon{
                    width: 10px;
                    margin-left: 10px;
                }
           
            }
        }
    }

    &_Order{
        padding: 15px;

        h4{
            margin-bottom: 10px;
            font-size: 15px;
            color: #000;
        }

        p{
            font-size: 15px;
            color: var(--description);
        }
    }
}


.pagePolicy{
    &_body{
        padding: 20px 0;

        .list_menu_options li .row-list{
            padding: 10px 20px;
        }

        .entry_post{
            padding: 20px;
            font-size: 15px;
            line-height: 1.6;
        }
    }
}

.pageContact{
    &_body{
        padding: 20px;
        font-size: 15px;

        h3{
            margin-bottom: 10px;
        }
    }
    &_contactGroup{
        padding: 20px;

        .item{
            display: flex;
            align-items: center;
            border-radius: 8px;
            overflow: hidden;
            background: #F3F3F3;
            margin-bottom: 15px;

            .icon{
                width: 100px;
                display: inline-flex;
                align-items: center;
                justify-content: center;
                text-align: center;
                min-height: 80px;

                &.ic-hotline{
                    background: #FFE9E9;
                }

                &.ic-mail{
                    background: #FFE9BE;
                }

                img{
                    width: 40px;
                }
            }

            .bodyInfo{
                padding: 15px;
                color: #000;
                width: 100%;

                h3{
                    font-weight: bold;
                    font-size: 16px;
                    color: var(--primarylight);
                }
            }
        }
    }
}

.boxMyCartHistory{
    .nav_menu_scroll {

        a{
            flex: 0 0 30%;
            padding: 10px 5px;
        }
    }

    &_block{
        .heading_tile_box{
            color: #000;

            a{
                color: var(--link);
            }
        }

        .price, .date{
            color: #000;
        }

        color: var(--description);
        line-height: 1.6;
    }
}



.switch {
    position: relative;
    display: inline-block;
    width: 43px;
    height: 27px;

    input { 
        opacity: 0;
        width: 0;
        height: 0;
      }

      .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        transition: .4s;
      }
      
      .slider:before {
        position: absolute;
        content: "";
        height: 21px;
        width: 21px;
        left: 4px;
        bottom: 3px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
      }
      input:checked + .slider {
        background-color: var(--primarylight);
      }
      
      input:focus + .slider {
        box-shadow: 0 0 1px var(--primarylight);
      }
      
      input:checked + .slider:before {
        -webkit-transform: translateX(15px);
        -ms-transform: translateX(15px);
        transform: translateX(15px);
      }
      
      /* Rounded sliders */
      .slider.round {
        border-radius: 34px;
      }
      
      .slider.round:before {
        border-radius: 50%;
      }
  }


  .pageBlogNews{

    .headBannerBlog{
        position: relative;

        .btn_back{
            z-index: 1;
            position: absolute;
            width: 43px;
            height: 43px;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            background: var(--primarylight);
            color: #fff;

            svg{
                width: 15px;
            }
        }

        img{
            width: 100%;
        }
    }

      &_body{
        margin: 20px 0;
        padding: 0 20px;

        &__entry{
            font-size: 15px;
            line-height: 1.6;
        }
      }

      &_list{
          &__itemBlog{
              margin-bottom: 20px;
              border-radius: 10px;
              overflow: hidden;

            .thumbnail{

            }

            .blogContent{
                background: #fff;
                padding: 10px 10px 15px;

                h3{
                    font-size: 15px;
                    font-weight: 600;
                    color: #000;
                    margin-bottom: 10px;

                    @include clamp(1);

                    a{
                        color: #000;
                    }
                }

                .description{
                    @include clamp(3);
                    font-size: 14px;
                    color: var(--secondary);
                }

                &_bottom{
                    margin: 15px 0 0;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    color: var(--description);

                    .user_post{
                        display: inline-flex;
                        align-items: center;

                        .avt{
                            margin-right: 5px;
                            width: 24px;
                            height: 24px;
                            overflow: hidden;
                        }
                    }
                }
            }
          }
      }
  }